:                                GAME-MAKER DEMO
:
:                               November 16, 1992
:
:  Useful characters:    ͼ
:
@ECHO OFF
CLS
:SCREEN
    ECHO    ͸
    ECHO                                                                           
    ECHO                                                                           
    ECHO                   ķ                
    ECHO                                                                       
    ECHO                           G A M E - M A K E R                         
    ECHO                                                                       
    ECHO                                                                       
    ECHO                       -It's as fun to make them-                      
    ECHO                       - as it is to play them. -                      
    ECHO                                                                       
    ECHO                   Ľ                
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                 A VGA color monitor is required for this demo.            
    ECHO                                                                           
    ECHO       Hold the Ctrl key down and then press the C key to exit this demo.  
    ECHO                                                                           
    ECHO    ;
    PAUSE  
: Paint the lead in title.
CLS        
CGIF GMT.GIF
:          
ECHO [0;34;47m

CLS
:SCREEN
    ECHO    ͸
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                       GAME-MAKER OVERVIEW SLIDE SHOW                      
    ECHO                                                                           
    ECHO                                   and a                                   
    ECHO                                                                           
    ECHO                            DEMONSTRATION  GAME                            
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
    PAUSE  


CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                         GAME-MAKER'S MAJOR FEATURES                       
    ECHO                                                                           
    ECHO                                                                           
    ECHO            -  Develop full 256 color VGA action/adventure games.          
    ECHO                                                                           
    ECHO            -  Create animation:  Monsters, Characters, and Background.    
    ECHO                                                                           
    ECHO            -  WYSIWYG (What You See Is What You Get) game design tools.   
    ECHO                                                                           
    ECHO            -  Plus 'What you hear is what you get' sound design tools.    
    ECHO                                                                           
    ECHO            -  Import graphic images, music, sound into games.             
    ECHO                                                                           
    ECHO            -  Includes games, monsters, characters, sounds, scenes.       
    ECHO                                                                           
    ECHO            -  No Programming!                                             
    ECHO                                                                           
    ECHO            -  FUN AND EASY TO USE!                                        
    ECHO                                                                           
    ECHO    ;
PAUSE
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                                                                           
    ECHO                              BLOCK DESIGNER                               
    ECHO                                                                           
    ECHO                                                                           
    ECHO      Draw your game's background, monsters, and characters with the       
    ECHO      Block Designer tool by drawing picture blocks.  Place blocks         
    ECHO      next to each other like pieces in a puzzle to create scenes.         
    ECHO                                                                           
    ECHO      A 256 color palette is shown at the top of the screen.               
    ECHO                                                                           
    ECHO      Use your mouse to select colors from the palette, and then to        
    ECHO      draw picture blocks in the drawing area on the left of the screen.   
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
PAUSE
:
: Paint the first picture of Block Designer.
CLS
CGIF GMBLOCK1.GIF
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                     BLOCK DESIGNER'S DRAWING AREA                         
    ECHO                                                                           
    ECHO      Each square in the drawing area represents one point (that is,       
    ECHO      one pixel) of your artwork.  You draw with the mouse.  The left      
    ECHO      and right mouse buttons paint with the two currently selected        
    ECHO      colors.                                                              
    ECHO                                                                           
    ECHO      Powerful drawing tools are selected via icons for drawing:           
    ECHO                                                                           
    ECHO                  -  Points and painting                                   
    ECHO                  -  Lines                                                 
    ECHO                  -  Circles                                               
    ECHO                  -  Disks                                                 
    ECHO                  -  Rectangles                                            
    ECHO                  -  Filled rectangles                                     
    ECHO                                                                           
    ECHO      Other tools change all adjacent pixels of one color to another,      
    ECHO      flip or rotate the image, shift the image one way or another, etc.   
    ECHO                                                                           
    ECHO    ;
PAUSE
:
: Paint the first picture of Block Designer.
CLS
CGIF GMBLOCK2.GIF
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                        BLOCK DESIGNER' VIEWING AREA                       
    ECHO                                                                           
    ECHO                                                                           
    ECHO      Block Designer has a VIEWING AREA in which you can place blocks      
    ECHO      and drag them around.  The viewing area, located on the right,       
    ECHO      allows you to see how blocks integrate with other blocks in a        
    ECHO      scene.  As you draw or edit a block, all changes are instantly       
    ECHO      displayed in all copies of the block in the viewing area and in      
    ECHO      the block scroll bar.                                                
    ECHO                                                                           
    ECHO                                                                           
    ECHO      The BLOCK SCROLL BAR at the bottom allows you to scroll through      
    ECHO      the set of blocks.  When you see the one you want, use the mouse     
    ECHO      to drag it to the drawing area or to the viewing area.               
    ECHO                                                                           
    ECHO                                                                           
    ECHO      Picture blocks are placed side by side, like pieces in a puzzle, to  
    ECHO      form scenes.  Background animation is visible in the viewing area.   
    ECHO                                                                           
    ECHO    ;
PAUSE
:
:  Paint the third picture of Block Deisgner.
CLS
CGIF GMBLOCK3.GIF
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                              BLOCK ATTRIBUTES                             
    ECHO                                                                           
    ECHO                                                                           
    ECHO        Each block can have its own properties:                            
    ECHO                                                                           
    ECHO           - Solid sides.                                                  
    ECHO           - One way doors.                                                
    ECHO           - Gravity in one of eight directions.                           
    ECHO           - Change into another block when touched.                       
    ECHO           - Change into another block after time.                         
    ECHO           - When touched by a character, increment or decrement:          
    ECHO                   - score                                                 
    ECHO                   - money                                                 
    ECHO                   - hit points                                            
    ECHO                   - lives                                                 
    ECHO                   - one of 20 other counters.                             
    ECHO           - Birth a monster periodically.                                 
    ECHO           - Be an object or not be an object.                             
    ECHO                                                                           
    ECHO    ;
PAUSE
:
:  Paint the fourth picture of Block Deisgner.
CLS
CGIF GMBLOCK4.GIF
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                                                                           
    ECHO                                IMAGE READER                               
    ECHO                                                                           
    ECHO                                                                           
    ECHO      You can import your favorite graphic images into your games using    
    ECHO      image reader.  Include all or portions of these images into your     
    ECHO      game's scenes if you choose.                                         
    ECHO                                                                           
    ECHO                                                                           
    ECHO      GAME-MAKER includes palette conversion and transferring picture      
    ECHO      blocks from one game to another.                                     
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
PAUSE
:
CLS
CGIF GMIMAGE1.GIF
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                               MONSTER MAKER                               
    ECHO                                                                           
    ECHO                                                                           
    ECHO      This design tool allows you to quickly make animated monsters.       
    ECHO                                                                           
    ECHO      Monsters that you have created are displayed on the top fully        
    ECHO      animated (true WYSIWYG!).  The center scroll bar shows the frames    
    ECHO      in the selected monster's animation sequence.                        
    ECHO                                                                           
    ECHO      The picture blocks on the bottom can be dragged up into the          
    ECHO      animation sequence in any desired order to create animation.         
    ECHO                                                                           
    ECHO      The blocks shown in each bar can be scrolled right or left to        
    ECHO      view the entire set of blocks or monsters.                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
PAUSE
:
:  Paint the first picture of Monster Maker.
CLS
CGIF GM_MON1.GIF
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                               MONSTER MAKER                               
    ECHO                                (continued)                                
    ECHO                                                                           
    ECHO                                                                           
    ECHO      Monsters can move toward or away from the character.  They can also  
    ECHO      move randomly, on paths, on attack paths, or follow the character.   
    ECHO      Monsters can be shot (or thrown) by the character, and when a        
    ECHO      monster hits another monster, the one with the least power dies.     
    ECHO                                                                           
    ECHO      When a monster dies, a new and different one can be born.  This      
    ECHO      feature lets you get very creative, such as having bullets explode   
    ECHO      when they hit something or having a monster with an elaborate death  
    ECHO      sequence.                                                            
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
PAUSE
:
:  Paint the second picture of Monster Maker.
CLS
CGIF GM_MON2.GIF
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                                  MAP MAKER                                
    ECHO                                                                           
    ECHO                                                                           
    ECHO      Background scenes, called 'maps', are drawn by placing picture       
    ECHO      blocks next to each other.  Game-Maker supports very large scenes    
    ECHO      and your game will, at your option, scroll around the scene as the   
    ECHO      character moves.                                                     
    ECHO                                                                           
    ECHO                                                                           
    ECHO      You can view a portion of the scene while creating it, and you can   
    ECHO      easily move your viewing window.  Alternately, you can zoom out and  
    ECHO      look at the entire map.                                              
    ECHO                                                                           
    ECHO                                                                           
    ECHO      A full set of drawing tools lets you easily place pictures blocks    
    ECHO      into your scene.  Monsters can also be placed in their starting      
    ECHO      location.                                                            
    ECHO                                                                           
    ECHO    ;
PAUSE
:
:
CLS
CGIF GM_MAP1.GIF
CLS
CGIF GM_MAP2.GIF
CLS
CGIF GM_MAP3.GIF
CLS
CGIF GM_MAP4.GIF
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                                                                           
    ECHO                            PALETTE  DESIGNER                              
    ECHO                                                                           
    ECHO                                                                           
    ECHO      Making your own set of colors, known as a palette, is extremely      
    ECHO      easy.  You simply select one of the 256 colors on the palette        
    ECHO      bar, and then adjust the intensity of its three primary colors.      
    ECHO                                                                           
    ECHO                                                                           
    ECHO      You can also move a color from one position to another on the bar.   
    ECHO      The color you are working with is shown in the large square on the   
    ECHO      right.                                                               
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
PAUSE     
:
CLS
CGIF GM_PAL1.GIF
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                                INTEGRATOR                                 
    ECHO                                                                           
    ECHO                                                                           
    ECHO      The integrator lets you set up multi-level games, including the      
    ECHO      paths on which the character can travel between the different        
    ECHO      levels.  The integrator lets you choose which set of monsters,       
    ECHO      which sounds, what music, what background, etc. that you want        
    ECHO      on a level by level basis.                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
PAUSE
:
CLS
CGIF GM_INT1.GIF
CLS
CGIF GM_INT4.GIF
CLS
:
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                                                                           
    ECHO                           OTHER GAME-MAKER TOOLS                          
    ECHO                                                                           
    ECHO                                                                           
    ECHO                    -  Character Maker for making characters               
    ECHO                    -  Backup and Restore                                  
    ECHO                    -  Calibrate and test joysticks                        
    ECHO                    -  Sound Designer for creating sounds                  
    ECHO                    -  Convert palettes                                    
    ECHO                    -  Transferring picture blocks                         
    ECHO                    -  and more.                                           
    ECHO                                                                           
    ECHO                                                                           
    ECHO      GAME-MAKER comes with three games and lots of other gameware,        
    ECHO      such as monsters, characters, pictures of objects, sound sets, etc.  
    ECHO      Of course, you can modify any of this gameware or build completely   
    ECHO      unique games.                                                        
    ECHO                                                                           
    ECHO    ;
PAUSE     
:         
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                                                                           
    ECHO                      GAME-MAKER Version 2.0 INCLUDES                      
    ECHO                                                                           
    ECHO                                                                           
    ECHO                    -  Owner's Manual and ...                              
    ECHO                    -  On line HELP                                        
    ECHO                    -  BBS support/news/game-exchange telephone number     
    ECHO                           (206-967-0618)                                  
    ECHO                    -  Four games, plus instructional games                
    ECHO                    -  Gameware:                                           
    ECHO                                 Monsters                                  
    ECHO                                 Characters                                
    ECHO                                 Scenes and their picture blocks           
    ECHO                                 Sounds                                    
    ECHO                                 Palettes                                  
    ECHO                    -  3 1/2" diskette (& coupon to order 5 1/4"s)         
    ECHO                                                                           
    ECHO                                                                           
    ECHO    ;
PAUSE     
:         
:         
:
CLS
    ECHO    ͸
    ECHO                                                                           
    ECHO                             ORDERING  INFORMATION                         
    ECHO                                                                           
    ECHO      GAME-MAKER can be ordered through your local retail store (your      
    ECHO      store can obtain copies from American Software and Hardware          
    ECHO      Distributors of Urbana, Illinois).                                   
    ECHO                                                                           
    ECHO      GAME-MAKER can be ordered from a variety of mail order companies,    
    ECHO      including Chips & Bits, PC Zones, and Programmer's Paradise.         
    ECHO                                                                           
    ECHO      One such company, KD Software, provides user support as well.        
    ECHO                                                                           
    ECHO                          KD Software                                      
    ECHO                          Great Falls Ave                                  
    ECHO                          PO Box 448                                       
    ECHO                          Rochester, NH 03867                              
    ECHO                          1-800-533-6772 (orders/inquiries)                
    ECHO                          1-603-332-8164 (support)                         
    ECHO                                                                           
    ECHO      Call for latest price.                                               
    ECHO                                                                           
    ECHO    ;
PAUSE     
:
:
DEMOGAME